import { ElementType } from 'react';
import { CarouselProps } from './types.ts';
declare const Carousel: {
    <T extends ElementType = "div">(props: CarouselProps<T>): import("react/jsx-runtime").JSX.Element;
    Item: {
        <T extends ElementType = "div">(props: import('./types.ts').CarouselItemProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Caption: {
        <T extends ElementType = "div">(props: import('./types.ts').CarouselCaptionProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default Carousel;
