type ButtonVariableType = {
    btnActiveBgShadeAmount?: string;
    btnActiveBgTintAmount?: string;
    btnActiveBorderShadeAmount?: string;
    btnActiveBorderTintAmount?: string;
    btnActiveBoxShadow?: string;
    btnBorderRadius?: string;
    btnBorderRadiusLg?: string;
    btnBorderRadiusSm?: string;
    btnBorderWidth?: string;
    btnBoxShadow?: string;
    btnColor?: string;
    btnDisabledOpacity?: string;
    btnFocusBoxShadow?: string;
    btnFocusWidth?: string;
    btnFontFamily?: string;
    btnFontSize?: string;
    btnFontSizeLg?: string;
    btnFontSizeSm?: string;
    btnFontWeight?: string;
    btnHoverBgShadeAmount?: string;
    btnHoverBgTintAmount?: string;
    btnHoverBorderShadeAmount?: string;
    btnHoverBorderTintAmount?: string;
    btnLineHeight?: string;
    btnLinkColor?: string;
    btnLinkDisabledColor?: string;
    btnLinkFocusShadowRgb?: string;
    btnLinkHoverColor?: string;
    btnPaddingX?: string;
    btnPaddingXLg?: string;
    btnPaddingXSm?: string;
    btnPaddingY?: string;
    btnPaddingYLg?: string;
    btnPaddingYSm?: string;
    btnTransition?: string;
    btnWhiteSpace?: string;
};
type CloseButtonVariableType = {
    btnCloseBg?: string;
    btnCloseColor?: string;
    btnCloseDisabledOpacity?: string;
    btnCloseFocusOpacity?: string;
    btnCloseFocusShadow?: string;
    btnCloseHoverOpacity?: string;
    btnCloseOpacity?: string;
    btnCloseWhiteFilter?: string;
};
type VariantType = {
    danger?: string;
    dark?: string;
    info?: string;
    light?: string;
    link?: string;
    primary?: string;
    secondary?: string;
    success?: string;
    warning?: string;
};
type OutlineType = {
    danger?: string;
    dark?: string;
    info?: string;
    light?: string;
    primary?: string;
    secondary?: string;
    success?: string;
    warning?: string;
};
type ButtonGroupVariablesType = object;
type InputVariablesType = {
    formColorWidth?: string;
    formFileButtonBg?: string;
    formFileButtonColor?: string;
    formFileButtonHoverBg?: string;
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
    inputBg?: string;
    inputBorderColor?: string;
    inputBorderRadius?: string;
    inputBorderRadiusLg?: string;
    inputBorderRadiusSm?: string;
    inputBorderWidth?: string;
    inputBoxShadow?: string;
    inputColor?: string;
    inputDisabledBg?: string;
    inputDisabledBorderColor?: string;
    inputDisabledColor?: string;
    inputFocusBg?: string;
    inputFocusBorderColor?: string;
    inputFocusBoxShadow?: string;
    inputFocusColor?: string;
    inputFocusWidth?: string;
    inputFontFamily?: string;
    inputFontSize?: string;
    inputFontSizeLg?: string;
    inputFontSizeSm?: string;
    inputFontWeight?: string;
    inputHeight?: string;
    inputHeightBorder?: string;
    inputHeightInner?: string;
    inputHeightInnerHalf?: string;
    inputHeightInnerQuarter?: string;
    inputHeightLg?: string;
    inputHeightSm?: string;
    inputLineHeight?: string;
    inputPaddingX?: string;
    inputPaddingXLg?: string;
    inputPaddingXSm?: string;
    inputPaddingY?: string;
    inputPaddingYLg?: string;
    inputPaddingYSm?: string;
    inputPlaceholderColor?: string;
    inputPlaintextColor?: string;
    inputTransition?: string;
};
type InputOtpVariablesType = object;
type LabelVariablesType = {
    formLabelColor?: string;
    formLabelFontSize?: string;
    formLabelFontStyle?: string;
    formLabelFontWeight?: string;
    formLabelMarginBottom?: string;
};
type TextVariablesType = {
    formFeedbackFontSize?: string;
    formFeedbackFontStyle?: string;
    formFeedbackIconInvalid?: string;
    formFeedbackIconInvalidColor?: string;
    formFeedbackIconValid?: string;
    formFeedbackIconValidColor?: string;
    formFeedbackInvalidColor?: string;
    formFeedbackMarginTop?: string;
    formFeedbackValidColor?: string;
    formTextColor?: string;
    formTextFontSize?: string;
    formTextFontStyle?: string;
    formTextFontWeight?: string;
    formTextMarginTop?: string;
};
type TextareaVariablesType = {
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
};
type InputGroupVariablesType = {
    inputGroupAddonBg?: string;
    inputGroupAddonBorderColor?: string;
    inputGroupAddonColor?: string;
    inputGroupAddonFontWeight?: string;
    inputGroupAddonPaddingX?: string;
    inputGroupAddonPaddingY?: string;
};
type InputGroupTextVariablesType = object;
type SelectVariablesType = {
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formSelectBg?: string;
    formSelectBgPosition?: string;
    formSelectBgSize?: string;
    formSelectBorderColor?: string;
    formSelectBorderRadius?: string;
    formSelectBorderRadiusLg?: string;
    formSelectBorderRadiusSm?: string;
    formSelectBorderWidth?: string;
    formSelectBoxShadow?: string;
    formSelectColor?: string;
    formSelectDisabledBg?: string;
    formSelectDisabledBorderColor?: string;
    formSelectDisabledColor?: string;
    formSelectFeedbackIconPaddingEnd?: string;
    formSelectFeedbackIconPosition?: string;
    formSelectFeedbackIconSize?: string;
    formSelectFocusBorderColor?: string;
    formSelectFocusBoxShadow?: string;
    formSelectFocusWidth?: string;
    formSelectFontFamily?: string;
    formSelectFontSize?: string;
    formSelectFontSizeLg?: string;
    formSelectFontSizeSm?: string;
    formSelectFontWeight?: string;
    formSelectIndicator?: string;
    formSelectIndicatorColor?: string;
    formSelectIndicatorPadding?: string;
    formSelectLineHeight?: string;
    formSelectPaddingX?: string;
    formSelectPaddingXLg?: string;
    formSelectPaddingXSm?: string;
    formSelectPaddingY?: string;
    formSelectPaddingYLg?: string;
    formSelectPaddingYSm?: string;
    formSelectTransition?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
};
type SelectOptionVariablesType = object;
type SelectMultipleVariablesType = object;
type CheckboxVariablesType = {
    formCheckBtnCheckDisabledOpacity?: string;
    formCheckInlineMarginEnd?: string;
    formCheckInputActiveFilter?: string;
    formCheckInputBg?: string;
    formCheckInputBorder?: string;
    formCheckInputBorderRadius?: string;
    formCheckInputCheckedBgColor?: string;
    formCheckInputCheckedBgImage?: string;
    formCheckInputCheckedBorderColor?: string;
    formCheckInputCheckedColor?: string;
    formCheckInputDisabledOpacity?: string;
    formCheckInputFocusBorder?: string;
    formCheckInputFocusBoxShadow?: string;
    formCheckInputIndeterminateBgColor?: string;
    formCheckInputIndeterminateBgImage?: string;
    formCheckInputIndeterminateBorderColor?: string;
    formCheckInputIndeterminateColor?: string;
    formCheckInputWidth?: string;
    formCheckLabelColor?: string;
    formCheckLabelCursor?: string;
    formCheckLabelDisabledOpacity?: string;
    formCheckMarginBottom?: string;
    formCheckMinHeight?: string;
    formCheckPaddingStart?: string;
    formCheckRadioBorderRadius?: string;
    formCheckRadioCheckedBgImage?: string;
    formCheckTransition?: string;
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formSwitchBgImage?: string;
    formSwitchBorderRadius?: string;
    formSwitchCheckedBgImage?: string;
    formSwitchCheckedBgPosition?: string;
    formSwitchCheckedColor?: string;
    formSwitchColor?: string;
    formSwitchFocusBgImage?: string;
    formSwitchFocusColor?: string;
    formSwitchPaddingStart?: string;
    formSwitchTransition?: string;
    formSwitchWidth?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
};
type RadioVariablesType = {
    formCheckBtnCheckDisabledOpacity?: string;
    formCheckInlineMarginEnd?: string;
    formCheckInputActiveFilter?: string;
    formCheckInputBg?: string;
    formCheckInputBorder?: string;
    formCheckInputBorderRadius?: string;
    formCheckInputCheckedBgColor?: string;
    formCheckInputCheckedBgImage?: string;
    formCheckInputCheckedBorderColor?: string;
    formCheckInputCheckedColor?: string;
    formCheckInputDisabledOpacity?: string;
    formCheckInputFocusBorder?: string;
    formCheckInputFocusBoxShadow?: string;
    formCheckInputIndeterminateBgColor?: string;
    formCheckInputIndeterminateBgImage?: string;
    formCheckInputIndeterminateBorderColor?: string;
    formCheckInputIndeterminateColor?: string;
    formCheckInputWidth?: string;
    formCheckLabelColor?: string;
    formCheckLabelCursor?: string;
    formCheckLabelDisabledOpacity?: string;
    formCheckMarginBottom?: string;
    formCheckMinHeight?: string;
    formCheckPaddingStart?: string;
    formCheckRadioBorderRadius?: string;
    formCheckRadioCheckedBgImage?: string;
    formCheckTransition?: string;
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formSwitchBgImage?: string;
    formSwitchBorderRadius?: string;
    formSwitchCheckedBgImage?: string;
    formSwitchCheckedBgPosition?: string;
    formSwitchCheckedColor?: string;
    formSwitchColor?: string;
    formSwitchFocusBgImage?: string;
    formSwitchFocusColor?: string;
    formSwitchPaddingStart?: string;
    formSwitchTransition?: string;
    formSwitchWidth?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
};
type RangeVariablesType = {
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formRangeThumbActiveBg?: string;
    formRangeThumbBg?: string;
    formRangeThumbBorder?: string;
    formRangeThumbBorderRadius?: string;
    formRangeThumbBoxShadow?: string;
    formRangeThumbDisabledBg?: string;
    formRangeThumbFocusBoxShadow?: string;
    formRangeThumbFocusBoxShadowWidth?: string;
    formRangeThumbHeight?: string;
    formRangeThumbTransition?: string;
    formRangeThumbWidth?: string;
    formRangeTrackBg?: string;
    formRangeTrackBorderRadius?: string;
    formRangeTrackBoxShadow?: string;
    formRangeTrackCursor?: string;
    formRangeTrackHeight?: string;
    formRangeTrackWidth?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
};
type CardVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardBodyVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardImgVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardTitleVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardSubtitleVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardTextVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardLinkVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardHeaderVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardFooterVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type CardGroupVariablesType = {
    cardBg?: string;
    cardBorderColor?: string;
    cardBorderRadius?: string;
    cardBorderWidth?: string;
    cardBoxShadow?: string;
    cardCapBg?: string;
    cardCapColor?: string;
    cardCapPaddingX?: string;
    cardCapPaddingY?: string;
    cardColor?: string;
    cardGroupMargin?: string;
    cardHeight?: string;
    cardImgOverlayPadding?: string;
    cardInnerBorderRadius?: string;
    cardSpacerX?: string;
    cardSpacerY?: string;
    cardSubtitleColor?: string;
    cardTitleColor?: string;
    cardTitleSpacerY?: string;
};
type FloatingLabelVariablesType = {
    formFloatingHeight?: string;
    formFloatingInputPaddingB?: string;
    formFloatingInputPaddingT?: string;
    formFloatingLabelDisabledColor?: string;
    formFloatingLabelHeight?: string;
    formFloatingLabelOpacity?: string;
    formFloatingLabelTransform?: string;
    formFloatingLineHeight?: string;
    formFloatingPaddingX?: string;
    formFloatingPaddingY?: string;
    formFloatingTransition?: string;
    formInvalidBorderColor?: string;
    formInvalidBorderColorDark?: string;
    formInvalidColor?: string;
    formInvalidColorDark?: string;
    formValidBorderColor?: string;
    formValidBorderColorDark?: string;
    formValidColor?: string;
    formValidColorDark?: string;
};
type AlertVariablesType = {
    alertBorderRadius?: string;
    alertBorderWidth?: string;
    alertDismissiblePaddingR?: string;
    alertLinkFontWeight?: string;
    alertMarginBottom?: string;
    alertPaddingX?: string;
    alertPaddingY?: string;
};
type AlertLinkVariablesType = {
    alertBorderRadius?: string;
    alertBorderWidth?: string;
    alertDismissiblePaddingR?: string;
    alertLinkFontWeight?: string;
    alertMarginBottom?: string;
    alertPaddingX?: string;
    alertPaddingY?: string;
};
type AlertHeadingVariablesType = {
    alertBorderRadius?: string;
    alertBorderWidth?: string;
    alertDismissiblePaddingR?: string;
    alertLinkFontWeight?: string;
    alertMarginBottom?: string;
    alertPaddingX?: string;
    alertPaddingY?: string;
};
type BadgeVariablesType = {
    badgeBorderRadius?: string;
    badgeColor?: string;
    badgeFontSize?: string;
    badgeFontWeight?: string;
    badgePaddingX?: string;
    badgePaddingY?: string;
};
type AccordionVariablesType = {
    accordionBg?: string;
    accordionBodyPaddingX?: string;
    accordionBodyPaddingY?: string;
    accordionBorderColor?: string;
    accordionBorderRadius?: string;
    accordionBorderWidth?: string;
    accordionButtonActiveBg?: string;
    accordionButtonActiveColor?: string;
    accordionButtonActiveIcon?: string;
    accordionButtonBg?: string;
    accordionButtonColor?: string;
    accordionButtonFocusBorderColor?: string;
    accordionButtonFocusBoxShadow?: string;
    accordionButtonIcon?: string;
    accordionButtonPaddingX?: string;
    accordionButtonPaddingY?: string;
    accordionColor?: string;
    accordionIconActiveColor?: string;
    accordionIconColor?: string;
    accordionIconTransform?: string;
    accordionIconTransition?: string;
    accordionIconWidth?: string;
    accordionInnerBorderRadius?: string;
    accordionPaddingX?: string;
    accordionPaddingY?: string;
    accordionTransition?: string;
};
type AccordionBasicVariablesType = AccordionVariablesType;
type AccordionItemVariablesType = AccordionVariablesType;
type AccordionHeaderVariablesType = AccordionVariablesType;
type AccordionBodyVariablesType = AccordionVariablesType;
type BreadcrumbVariablesType = {
    breadcrumbActiveColor?: string;
    breadcrumbBg?: string;
    breadcrumbBorderRadius?: string;
    breadcrumbDivider?: string;
    breadcrumbDividerColor?: string;
    breadcrumbDividerFlipped?: string;
    breadcrumbFontSize?: string;
    breadcrumbItemPaddingX?: string;
    breadcrumbMarginBottom?: string;
    breadcrumbPaddingX?: string;
    breadcrumbPaddingY?: string;
};
type BreadcrumbBasicVariablesType = BreadcrumbVariablesType;
type BreadcrumbItemVariablesType = BreadcrumbVariablesType;
type CarouselVariablesType = {
    carouselCaptionColor?: string;
    carouselCaptionPaddingY?: string;
    carouselCaptionSpacer?: string;
    carouselCaptionWidth?: string;
    carouselControlColor?: string;
    carouselControlHoverOpacity?: string;
    carouselControlIconWidth?: string;
    carouselControlNextIconBg?: string;
    carouselControlOpacity?: string;
    carouselControlPrevIconBg?: string;
    carouselControlTransition?: string;
    carouselControlWidth?: string;
    carouselIndicatorActiveBg?: string;
    carouselIndicatorActiveOpacity?: string;
    carouselIndicatorHeight?: string;
    carouselIndicatorHitAreaHeight?: string;
    carouselIndicatorOpacity?: string;
    carouselIndicatorSpacer?: string;
    carouselIndicatorTransition?: string;
    carouselIndicatorWidth?: string;
    carouselTransition?: string;
    carouselTransitionDuration?: string;
};
type CarouselItemVariablesType = CarouselVariablesType;
type CarouselCaptionVariablesType = CarouselVariablesType;
type CollapseVariablesType = object;
type DropdownVariablesType = {
    dropdownBg?: string;
    dropdownBorderColor?: string;
    dropdownBorderRadius?: string;
    dropdownBorderWidth?: string;
    dropdownBoxShadow?: string;
    dropdownColor?: string;
    dropdownDividerBg?: string;
    dropdownDividerMarginY?: string;
    dropdownFontSize?: string;
    dropdownHeaderColor?: string;
    dropdownHeaderPaddingX?: string;
    dropdownHeaderPaddingY?: string;
    dropdownInnerBorderRadius?: string;
    dropdownItemPaddingX?: string;
    dropdownItemPaddingY?: string;
    dropdownLinkActiveBg?: string;
    dropdownLinkActiveColor?: string;
    dropdownLinkColor?: string;
    dropdownLinkDisabledColor?: string;
    dropdownLinkHoverBg?: string;
    dropdownLinkHoverColor?: string;
    dropdownMinWidth?: string;
    dropdownPaddingX?: string;
    dropdownPaddingY?: string;
    dropdownSpacer?: string;
    dropdownZindex?: string;
};
type DropdownToggleVariablesType = DropdownVariablesType;
type DropdownItemVariablesType = DropdownVariablesType;
type DropdownItemTextVariablesType = DropdownVariablesType;
type DropdownMenuVariablesType = DropdownVariablesType;
type DropdownDividerVariablesType = DropdownVariablesType;
type DropdownHeaderVariablesType = DropdownVariablesType;
type ListGroupVariablesType = {
    listGroupActionActiveBg?: string;
    listGroupActionActiveColor?: string;
    listGroupActionColor?: string;
    listGroupActionHoverColor?: string;
    listGroupActiveBg?: string;
    listGroupActiveBorderColor?: string;
    listGroupActiveColor?: string;
    listGroupBg?: string;
    listGroupBorderColor?: string;
    listGroupBorderRadius?: string;
    listGroupBorderWidth?: string;
    listGroupColor?: string;
    listGroupDisabledBg?: string;
    listGroupDisabledColor?: string;
    listGroupHoverBg?: string;
    listGroupItemBgScale?: string;
    listGroupItemColorScale?: string;
    listGroupItemPaddingX?: string;
    listGroupItemPaddingY?: string;
};
type ListGroupItemVariablesType = ListGroupVariablesType;
type ModalVariablesType = {
    modalBackdropBg?: string;
    modalBackdropOpacity?: string;
    modalContentBg?: string;
    modalContentBorderColor?: string;
    modalContentBorderRadius?: string;
    modalContentBorderWidth?: string;
    modalContentBoxShadowSmUp?: string;
    modalContentBoxShadowXs?: string;
    modalContentColor?: string;
    modalContentInnerBorderRadius?: string;
    modalDialogMargin?: string;
    modalDialogMarginYSmUp?: string;
    modalFadeTransform?: string;
    modalFooterBg?: string;
    modalFooterBorderColor?: string;
    modalFooterBorderWidth?: string;
    modalFooterMarginBetween?: string;
    modalHeaderBorderColor?: string;
    modalHeaderBorderWidth?: string;
    modalHeaderPadding?: string;
    modalHeaderPaddingX?: string;
    modalHeaderPaddingY?: string;
    modalInnerPadding?: string;
    modalLg?: string;
    modalMd?: string;
    modalScaleTransform?: string;
    modalShowTransform?: string;
    modalSm?: string;
    modalTitleLineHeight?: string;
    modalTransition?: string;
    modalXl?: string;
};
type ModalDialogVariablesType = ModalVariablesType;
type ModalContentVariablesType = ModalVariablesType;
type ModalHeaderVariablesType = ModalVariablesType;
type ModalFooterVariablesType = ModalVariablesType;
type ModalTitleVariablesType = ModalVariablesType;
type ModalBodyVariablesType = ModalVariablesType;
type ModalBackdropVariablesType = ModalVariablesType;
type NavbarVariablesType = {
    navbarBrandFontSize?: string;
    navbarBrandHeight?: string;
    navbarBrandMarginEnd?: string;
    navbarBrandPaddingY?: string;
    navbarDarkActiveColor?: string;
    navbarDarkBrandColor?: string;
    navbarDarkBrandHoverColor?: string;
    navbarDarkColor?: string;
    navbarDarkDisabledColor?: string;
    navbarDarkHoverColor?: string;
    navbarDarkIconColor?: string;
    navbarDarkTogglerBorderColor?: string;
    navbarDarkTogglerIconBg?: string;
    navbarLightActiveColor?: string;
    navbarLightBrandColor?: string;
    navbarLightBrandHoverColor?: string;
    navbarLightColor?: string;
    navbarLightDisabledColor?: string;
    navbarLightHoverColor?: string;
    navbarLightIconColor?: string;
    navbarLightTogglerBorderColor?: string;
    navbarLightTogglerIconBg?: string;
    navbarNavLinkPaddingX?: string;
    navbarPaddingX?: string;
    navbarPaddingY?: string;
    navbarTogglerBorderRadius?: string;
    navbarTogglerFocusWidth?: string;
    navbarTogglerFontSize?: string;
    navbarTogglerPaddingX?: string;
    navbarTogglerPaddingY?: string;
    navbarTogglerTransition?: string;
    navLinkHeight?: string;
};
type NavbarContainerVariablesType = NavbarVariablesType;
type NavbarBrandVariablesType = NavbarVariablesType;
type NavbarTogglerVariablesType = NavbarVariablesType;
type NavbarTogglerIconVariablesType = NavbarVariablesType;
type NavbarCollapseVariablesType = NavbarVariablesType;
type NavbarNavVariablesType = NavbarVariablesType;
type NavbarNavItemVariablesType = NavbarVariablesType;
type NavbarNavLinkVariablesType = NavbarVariablesType;
type NavbarTextVariablesType = NavbarVariablesType;
type NavVariablesType = {
    navLinkColor?: string;
    navLinkDisabledColor?: string;
    navLinkFocusBoxShadow?: string;
    navLinkFontSize?: string;
    navLinkFontWeight?: string;
    navLinkHoverColor?: string;
    navLinkPaddingX?: string;
    navLinkPaddingY?: string;
    navLinkTransition?: string;
    navPillsBorderRadius?: string;
    navPillsLinkActiveBg?: string;
    navPillsLinkActiveColor?: string;
    navTabsBorderColor?: string;
    navTabsBorderRadius?: string;
    navTabsBorderWidth?: string;
    navTabsLinkActiveBg?: string;
    navTabsLinkActiveBorderColor?: string;
    navTabsLinkActiveColor?: string;
    navTabsLinkHoverBorderColor?: string;
    navUnderlineBorderWidth?: string;
    navUnderlineGap?: string;
    navUnderlineLinkActiveColor?: string;
};
type NavItemVariablesType = NavVariablesType;
type NavLinkVariablesType = NavVariablesType;
type NavTabContentVariablesType = NavVariablesType;
type NavTabPaneVariablesType = NavVariablesType;
type OffcanvasVariablesType = {
    offcanvasBackdropBg?: string;
    offcanvasBackdropOpacity?: string;
    offcanvasBgColor?: string;
    offcanvasBorderColor?: string;
    offcanvasBorderWidth?: string;
    offcanvasBoxShadow?: string;
    offcanvasColor?: string;
    offcanvasHorizontalWidth?: string;
    offcanvasPaddingX?: string;
    offcanvasPaddingY?: string;
    offcanvasTitleLineHeight?: string;
    offcanvasTransitionDuration?: string;
    offcanvasVerticalHeight?: string;
};
type OffcanvasHeaderVariablesType = OffcanvasVariablesType;
type OffcanvasTitleVariablesType = OffcanvasVariablesType;
type OffcanvasBodyVariablesType = OffcanvasVariablesType;
type OffcanvasBackdropVariablesType = OffcanvasVariablesType;
type PaginationVariablesType = {
    paginationActiveBg?: string;
    paginationActiveBorderColor?: string;
    paginationActiveColor?: string;
    paginationBg?: string;
    paginationBorderColor?: string;
    paginationBorderRadius?: string;
    paginationBorderRadiusLG?: string;
    paginationBorderRadiusSm?: string;
    paginationBorderWidth?: string;
    paginationColor?: string;
    paginationDisabledBg?: string;
    paginationDisabledBorderColor?: string;
    paginationDisabledColor?: string;
    paginationFocusBg?: string;
    paginationFocusBoxShadow?: string;
    paginationFocusColor?: string;
    paginationFocusOutline?: string;
    paginationFontSize?: string;
    paginationHoverBg?: string;
    paginationHoverBorderColor?: string;
    paginationHoverColor?: string;
    paginationMarginStart?: string;
    paginationPaddingX?: string;
    paginationPaddingXLG?: string;
    paginationPaddingXSm?: string;
    paginationPaddingY?: string;
    paginationPaddingYLG?: string;
    paginationPaddingYSm?: string;
    paginationTransition?: string;
};
type PaginationItemVariablesType = PaginationVariablesType;
type PaginationNavVariablesType = PaginationVariablesType;
type PaginationLinkVariablesType = PaginationVariablesType;
export type { AccordionBasicVariablesType, AccordionBodyVariablesType, AccordionHeaderVariablesType, AccordionItemVariablesType, AccordionVariablesType, AlertHeadingVariablesType, AlertLinkVariablesType, AlertVariablesType, BadgeVariablesType, BreadcrumbBasicVariablesType, BreadcrumbItemVariablesType, BreadcrumbVariablesType, ButtonGroupVariablesType, ButtonVariableType, CardBodyVariablesType, CardFooterVariablesType, CardGroupVariablesType, CardHeaderVariablesType, CardImgVariablesType, CardLinkVariablesType, CardSubtitleVariablesType, CardTextVariablesType, CardTitleVariablesType, CardVariablesType, CarouselCaptionVariablesType, CarouselItemVariablesType, CarouselVariablesType, CheckboxVariablesType, CloseButtonVariableType, CollapseVariablesType, DropdownDividerVariablesType, DropdownHeaderVariablesType, DropdownItemTextVariablesType, DropdownItemVariablesType, DropdownMenuVariablesType, DropdownToggleVariablesType, DropdownVariablesType, FloatingLabelVariablesType, InputGroupTextVariablesType, InputGroupVariablesType, InputOtpVariablesType, InputVariablesType, LabelVariablesType, ListGroupItemVariablesType, ListGroupVariablesType, ModalBackdropVariablesType, ModalBodyVariablesType, ModalContentVariablesType, ModalDialogVariablesType, ModalFooterVariablesType, ModalHeaderVariablesType, ModalTitleVariablesType, ModalVariablesType, NavbarBrandVariablesType, NavbarCollapseVariablesType, NavbarContainerVariablesType, NavbarNavItemVariablesType, NavbarNavLinkVariablesType, NavbarNavVariablesType, NavbarTextVariablesType, NavbarTogglerIconVariablesType, NavbarTogglerVariablesType, NavbarVariablesType, NavItemVariablesType, NavLinkVariablesType, NavTabContentVariablesType, NavTabPaneVariablesType, NavVariablesType, OffcanvasBackdropVariablesType, OffcanvasBodyVariablesType, OffcanvasHeaderVariablesType, OffcanvasTitleVariablesType, OffcanvasVariablesType, OutlineType, PaginationItemVariablesType, PaginationLinkVariablesType, PaginationNavVariablesType, PaginationVariablesType, RadioVariablesType, RangeVariablesType, SelectMultipleVariablesType, SelectOptionVariablesType, SelectVariablesType, TextareaVariablesType, TextVariablesType, VariantType, };
