import { ElementType } from 'react';
import { AccordionBasicProps } from './types.ts';
declare const AccordionBasic: {
    <T extends ElementType = "div">(props: AccordionBasicProps<T>): import("react/jsx-runtime").JSX.Element;
    Item: {
        <T extends ElementType = "div">(props: import('./types.ts').AccordionItemProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Header: {
        <T extends ElementType = "div">(props: import('./types.ts').AccordionHeaderProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    Body: {
        <T extends ElementType = "div">(props: import('./types.ts').AccordionBodyProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default AccordionBasic;
