import { ElementType } from 'react';
import { InputGroupProps } from './types.ts';
declare const InputGroup: {
    <T extends ElementType = "div">(props: InputGroupProps<T>): import("react/jsx-runtime").JSX.Element;
    Text: {
        <T extends ElementType = "span">(props: import('./types.ts').InputGroupTextProps<T>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    displayName: string;
};
export default InputGroup;
